GDCM: gdcm::Spacing Class Reference

GDCM 3.0.26

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gdcm::Spacing Class Reference

Class for Spacing. More...

`#include <gdcmSpacing.h>`

## Public Types
enum | SpacingType { DETECTOR = 0 , MAGNIFIED , CALIBRATED , UNKNOWN }

## Public Member Functions
| Spacing ()
| ~Spacing ()=default

## Static Public Member Functions
static Attribute< 0x28, 0x34 > | ComputePixelAspectRatioFromPixelSpacing (const Attribute< 0x28, 0x30 > &pixelspacing)

## Detailed Description

Class for Spacing.

It all began with a mail to WG6:

Subject: Imager Pixel Spacing vs Pixel Spacing Body: [Apologies for the duplicate post, namely to David Clunie & OFFIS team]

I have been trying to understand CP-586 in the following two cases:

On the one hand:

- DISCIMG/IMAGES/CRIMAGE taken from http://dclunie.com/images/pixelspacingtestimages.zip

And on the other hand:

- http://gdcm.sourceforge.net/thingies/cr_pixelspacing.dcm

If I understand correctly the CP, one is required to use Pixel Spacing for measurement ('true size' print) instead of Imager Pixel Spacing, since the two attributes are present and Pixel Spacing is different from Imager Pixel Spacing.

If this is correct, then the test data DISCIMG/IMAGES/CRIMAGE is incorrect. If this is incorrect (ie. I need to use Imager Pixel Spacing), then the display of cr_pixelspacing.dcm for measurement will be incorrect.

Could someone please let me know what am I missing here? I could not find any information in any header that would allow me to differentiate those.

Thank you for your time,

Ref: http://lists.nema.org/scripts/lyris.pl?sub=488573&id=400720477

See PS 3.3-2008, Table C.7-11b IMAGE PIXEL MACRO ATTRIBUTES

Ratio of the vertical size and horizontal size of the pixels in the image specified by a pair of integer values where the first value is the vertical pixel size, and the second value is the horizontal pixel size. Required if the aspect ratio values do not have a ratio of 1:1 and the physical pixel spacing is not specified by Pixel Spacing (0028,0030), or Imager Pixel Spacing (0018,1164) or Nominal Scanned Pixel Spacing (0018,2010), either for the entire Image or per-frame in a Functional Group Macro. See C.7.6.3.1.7.

PS 3.3-2008 10.7.1.3 Pixel Spacing Value Order and Valid Values All pixel spacing related attributes shall have non-zero values, except when there is only a single row or column or pixel of data present, in which case the corresponding value may be zero.

Ref: http://gdcm.sourceforge.net/wiki/index.php/Imager_Pixel_Spacing

## Member Enumeration Documentation

## ◆ SpacingType

enum gdcm::Spacing::SpacingType

Enumerator
DETECTOR |
MAGNIFIED |
CALIBRATED |
UNKNOWN |

## Constructor & Destructor Documentation

## ◆ Spacing()

gdcm::Spacing::Spacing | ( |  | ) |

## ◆ ~Spacing()

gdcm::Spacing::~Spacing | ( |  | ) |
| default

## Member Function Documentation

## ◆ ComputePixelAspectRatioFromPixelSpacing()

static Attribute< 0x28, 0x34 > gdcm::Spacing::ComputePixelAspectRatioFromPixelSpacing | ( | const Attribute< 0x28, 0x30 > & | pixelspacing | ) |
| static

The documentation for this class was generated from the following file:

- gdcmSpacing.h